"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const injectSecret = async ({
  executeQuery,
  escapeId,
  escape,
  secretsTableName
}, {
  idx,
  id,
  secret
}) => {
  const tableNameAsId = escapeId(secretsTableName);
  await executeQuery(`INSERT INTO ${tableNameAsId}(
      "idx",
      "id",
      "secret"
    ) VALUES(
      ${+idx},
      ${escape(id)},
      ${secret != null ? escape(secret) : 'NULL'}
    )`);
};

var _default = injectSecret;
exports.default = _default;
//# sourceMappingURL=inject-secret.js.map